Uploaded image for project: 'CXF'
  1. CXF
  2. CXF-7779

Spring "version-less" xsd import

    XMLWordPrintableJSON

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 3.2.5
    • Fix Version/s: 3.2.6
    • Component/s: Core
    • Labels:
      None
    • Estimated Complexity:
      Unknown

      Description

      Hi everybody,

      Using (this great library !) cxf in our spring-based product, 

      and including cxf.xml into our xml configuration,

      we (sometimes) face to a startup issue (beans namespace not defined...).

       

      IMHO, this happens because:

      • our application does not embed spring 4.2 version (as mentioned into your xml file) but an earlier one.
      • application server does not have access to internet (and thus the application can not resolve this xsd file).

       

      Is it possible to modify your xml file by including a version-less declaration ?

      We applied this rule into our applications, and it already solves such of issues.

      ITOT, from spring 5.0 version, they moved to this behaviour to (as you can see [here | https://jira.spring.io/browse/SPR-13499])

       

      Thanks for any help and feedback.

      Nicolas

        Attachments

          Activity

            People

            • Assignee:
              coheigea Colm O hEigeartaigh
              Reporter:
              n.felix n.felix
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: